GuideLab Docs

List team chat threads

Lab only. The caller's staff threads in the active lab, most recent activity first. Direct threads appear once they have a message. Paginate with the previous page's `nextCursor`.

GET
/team-chat/threads

Lab only. The caller's staff threads in the active lab, most recent activity first. Direct threads appear once they have a message. Paginate with the previous page's nextCursor.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

cursor?string
Length1 <= length <= 200
limit?integer
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://example.com/team-chat/threads"
{  "data": [    {      "id": "string",      "kind": "dm",      "title": "string",      "memberUserIds": [        "string"      ],      "lastSequence": 0,      "lastActivityAt": "string",      "lastMessage": {        "id": "string",        "threadId": "string",        "sequence": 0,        "senderUserId": "string",        "body": "string",        "attachments": [          {            "id": "string",            "name": "string",            "mimeType": "string",            "size": 0          }        ],        "createdAt": "string"      },      "unreadCount": 0    }  ],  "nextCursor": "string"}
Empty
Empty